List alert rules for the caller workspace
curl --request GET \
--url https://api.range.org/v1/risk/alert-rules \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v1/risk/alert-rules"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v1/risk/alert-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"workspace_id": "workspace-123",
"rule_type": "GasPressure",
"severity": "high",
"parameters": {
"threshold": 90
},
"trigger": "BLOCK",
"enabled": true,
"version": 1,
"subscribed_channels": [
{
"alert_channel_id": "44444444-4444-4444-4444-444444444445",
"min_severity": null
}
],
"created_at": "2026-05-14T12:00:00.000Z",
"updated_at": "2026-05-14T12:00:00.000Z",
"name": "High gas on eth",
"network": "eth",
"runner_id": "alert-runner-eth-v2",
"alert_template": {
"id": "1",
"type": "large_transfer",
"label": "Large Transfer",
"description": "A large transfer was detected on {{network}}",
"network": "eth",
"severity": "high",
"tags": [
"defi",
"transfer"
],
"trigger": "BLOCK",
"parameters": [
{
"label": "Wallet",
"description": "The address to monitor",
"field": "address",
"field_type": "Address",
"optional": false
}
]
}
}
]
}Alert Rules
List alert rules for the caller workspace
Returns every active alert rule that belongs to your workspace. Filter by network, severity, or a name search.
GET
/
v1
/
risk
/
alert-rules
List alert rules for the caller workspace
Authorizations
AuthorizationAuthorization
Authorization method required to allow user to access the api endpoints.
Query Parameters
Comma-separated list of network slugs to filter by (e.g. eth,sol).
Example:
"eth,sol"
Comma-separated list of severity levels to filter by (e.g. low,medium,high).
Example:
"high"
Case-insensitive search string matched against rule name.
Example:
"high gas"
Response
200 - application/json
Show child attributes
Show child attributes
Last modified on July 22, 2026
Was this page helpful?
⌘I